Last Comment Bug 796309 - opening an existing chatwindow doesn't invoke the callback.
: opening an existing chatwindow doesn't invoke the callback.
Status: RESOLVED FIXED
[qa-]
:
Product: Firefox
Classification: Client Software
Component: SocialAPI (show other bugs)
: unspecified
: All All
: -- normal (vote)
: Firefox 18
Assigned To: Mark Hammond [:markh]
:
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-10-01 18:53 PDT by Mark Hammond [:markh]
Modified: 2012-10-16 16:55 PDT (History)
4 users (show)
jaws: in‑testsuite+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed


Attachments
make callback when existing chat window is found, plus tests (3.04 KB, patch)
2012-10-02 22:55 PDT, Mark Hammond [:markh]
mixedpuppy: review+
gavin.sharp: approval‑mozilla‑aurora+
Details | Diff | Splinter Review

Description Mark Hammond [:markh] 2012-10-01 18:53:53 PDT
I *think* that if openChatWindow is invoked with a URL that is already open, the chat window will be restored, but the callback param will not be called.
Comment 1 Mark Hammond [:markh] 2012-10-02 22:55:23 PDT
Created attachment 667333 [details] [diff] [review]
make callback when existing chat window is found, plus tests
Comment 3 Ed Morley [:emorley] 2012-10-05 03:56:13 PDT
https://hg.mozilla.org/mozilla-central/rev/a31ce2d6d28e
Comment 4 :Gavin Sharp [email: gavin@gavinsharp.com] 2012-10-05 07:38:19 PDT
https://hg.mozilla.org/releases/mozilla-aurora/rev/7dd136adc519
Comment 5 Anthony Hughes (:ashughes) [GFX][QA][Mentor] 2012-10-16 16:04:34 PDT
Patch appears to include some tests, in-testsuite?

Note You need to log in before you can comment on or make changes to this bug.